import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'fl_drag_picture_platform_interface.dart';

/// An implementation of [FlDragPicturePlatform] that uses method channels.
class MethodChannelFlDragPicture extends FlDragPicturePlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('fl_drag_picture');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
