import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'fl_drag_picture_method_channel.dart';

abstract class FlDragPicturePlatform extends PlatformInterface {
  /// Constructs a FlDragPicturePlatform.
  FlDragPicturePlatform() : super(token: _token);

  static final Object _token = Object();

  static FlDragPicturePlatform _instance = MethodChannelFlDragPicture();

  /// The default instance of [FlDragPicturePlatform] to use.
  ///
  /// Defaults to [MethodChannelFlDragPicture].
  static FlDragPicturePlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [FlDragPicturePlatform] when
  /// they register themselves.
  static set instance(FlDragPicturePlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
